Subject: bug#511: /usr/bin/querybts: querybts works with debian only

From: Jens Korte <[email-masked]>
Date: Wed, 30 Sep 2020 22:44:05 +0200

Package: reportbug
Version: 7.5.3+devuan3
Severity: grave
File: /usr/bin/querybts
Justification: renders package unusable

Dear Maintainer,

   * What led up to the situation?
I tried querybts firefox-esr and it queries the debian bts. Using --bts
devuan (see -h for details) doesn't work:

querybts --bts devuan firefox-esr
Querying Devuan BTS for reports on firefox-esr...
Unable to connect to Devuan BTS (error: "NoNetwork()"); continue
[y|N|?]? y
No bug reports found.

   * What was the outcome of this action?
I can't use querybts for devuan.

   * What outcome did you expect instead?
devuan should be the default or a warning should appear: "Found
/etc/devuan_version, seems to be a devuan system, but I am using the
debian bts as default".

-- Package-specific info:
** Environment settings:
INTERFACE="text"

** /home/j/.reportbugrc:
reportbug_version "7.5.3+devuan3"
mode standard
ui text
realname "Jens Korte"
email "[email-masked]"
no-cc
list-cc-me
smtphost mx.devuan.org

-- System Information:
Distributor ID:	Debian
Description:	Devuan GNU/Linux 3 (beowulf)
Release:	3
Codename:	beowulf
Architecture: x86_64

Kernel: Linux 4.19.0-10-amd64 (SMP w/4 CPU cores)
Kernel taint flags: TAINT_WARN
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8), LANGUAGE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

Versions of packages reportbug depends on:
ii  apt                1.8.2.1
ii  python3            3.7.3-1
ii  python3-reportbug  7.5.3+devuan3
ii  sensible-utils     0.0.12

reportbug recommends no packages.

Versions of packages reportbug suggests:
ii  claws-mail                                 3.17.3-2
pn  debconf-utils                              <none>
pn  debsums                                    <none>
ii  dlocate                                    1.07+nmu1
pn  emacs-bin-common                           <none>
ii  exim4                                      4.92-8+deb10u4
ii  exim4-daemon-light [mail-transport-agent]  4.92-8+deb10u4
ii  file                                       1:5.35-4+deb10u1
ii  gnupg                                      2.2.12-1+deb10u1
pn  python3-urwid                              <none>
ii  reportbug-gtk                              7.5.3+devuan3
ii  xdg-utils                                  1.1.3-1+deb10u1

Versions of packages python3-reportbug depends on:
ii  apt                1.8.2.1
ii  file               1:5.35-4+deb10u1
ii  python3            3.7.3-1
ii  python3-apt        1.8.4.1
ii  python3-debian     0.1.35
ii  python3-debianbts  2.8.2
ii  python3-requests   2.21.0-1
ii  sensible-utils     0.0.12

python3-reportbug suggests no packages.

-- no debconf information